import { PosterItem } from "../types";

let selectedBlockFromTutorialForClick: PosterItem | undefined = undefined;
let selectedBlockFromTutorialForNoClick: PosterItem | undefined = undefined;

const setSelectedBlockFromTutorialForClick = (block: PosterItem | null) => {
    if (!block) return;
    selectedBlockFromTutorialForClick = block;
};

const setSelectedBlockFromTutorialForNoClick = (block: PosterItem | null) => {
    if (!block) return;
    selectedBlockFromTutorialForNoClick = block;
};

export {
    selectedBlockFromTutorialForClick,
    selectedBlockFromTutorialForNoClick,
    setSelectedBlockFromTutorialForClick,
    setSelectedBlockFromTutorialForNoClick,
};